
D4Science Infrastructure - VM Creation #9293

Provide new VM  for hosting "oscar-import-se-plugin" smart-executor plugin

Jul 17, 2017 04:00 PM - Roberto Cirillo

Status: Closed Start date: Jul 17, 2017

Priority: Urgent Due date: Jul 19, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: Release 4.6.0   

Infrastructure: Pre-Production Applications list and

version:

 

RAM: 2 Applications context

path:

"smart-executor"

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/preprod

/gcube/preprod/preVRE

/gcube/preprod/preECO

/gcube/preprod/Dorne

  

Description

As reported on the official wiki (https://wiki.gcube-system.org/gcube/OscarImporterSEPlugin), it's needed to have:

at least 25GB of free disk space in /tmp

the package "libnetcdfc7" installed

The plugin can be found here:

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/org/gcube/dataan

alysis/oscar-importer-se-plugin/1.0.0-4.6.0-150967/oscar-importer-se-plugin-1.0.0-4.6.0-150967-jar

-with-dependencies.jar

Related issues:

Copied to D4Science Infrastructure - VM Creation #9645: Provide new VM  for h... Closed Sep 07, 2017 Sep 12, 2017

History

#1 - Jul 20, 2017 09:58 AM - Roberto Cirillo

- Priority changed from High to Urgent

#2 - Jul 20, 2017 02:48 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Jul 20, 2017 02:49 PM - Andrea Dell'Amico

oscar-import.pre.d4science.org 146.48.122.57

#4 - Jul 20, 2017 04:21 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

There are two problems:

1 it's needed to have also the gcube.gcubekey key (I've added it manually for the moment)
2 the scope /gcube/preprod/Dorne is not correctly set on playbook I guess. I see the scope /gcube/preprod/preDorne in container.xml file

Please could you check?

#5 - Jul 20, 2017 05:11 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

There are two problems:

1 it's needed to have also the gcube.gcubekey key (I've added it manually for the moment)

2 the scope /gcube/preprod/Dorne is not correctly set on playbook I guess. I see the scope /gcube/preprod/preDorne in container.xml file

Please could you check?

 Fixed. I also upgraded smartgears, but there are errors still.

The gcube.gcubekey was a dev key. Is it needed in preprod too?

#6 - Jul 20, 2017 05:34 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Fixed. I also upgraded smartgears, but there are errors still.

 I'm going to check

The gcube.gcubekey was a dev key. Is it needed in preprod too?

 Yes it is. The development infrastructure contains the preproduction VO so, the root-VO key (gcube.gcubekey) is needed. 

#7 - Jul 20, 2017 05:43 PM - Roberto Cirillo

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

The problem has been fixed. There was a ServiceEndpoint (SmartExecutorPersistenceConfiguration) missing on some scopes. I've just added it and

now it seems to work fine. Thanks.

#8 - Jul 20, 2017 05:44 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

The gcube.gcubekey was a dev key. Is it needed in preprod too?

 Yes it is. The development infrastructure contains the preproduction VO so, the root-VO key (gcube.gcubekey) is needed.

 OK, I just changed the tasks that install the gcube key. That key is now always installed in preproduction too.

#9 - Sep 07, 2017 03:43 PM - Roberto Cirillo

- Copied to VM Creation #9645: Provide new VM  for hosting the "oscar-import-se-plugin" smart-executor plugin added
